package fxtaidegalleria;

import fi.jyu.mit.fxgui.Dialogs;
import fi.jyu.mit.fxgui.ModalController;
import javafx.application.Platform;
import javafx.fxml.FXML;
import javafx.scene.input.KeyEvent;

/**
 * @author lainejee
 * @version 26.1.2025
 */
public class TaidegalleriaGUIController {

    @FXML
    private void handleAvaa() {
        avaa();
    }


    /**
     * Aukaisee valikon jossa voi lisätä uuden taiteilijan.
     * Vielä ei ole muuta toiminnallisuutta.
     */
    @FXML private void handleUusiTaiteilija() {
        ModalController.showModal(TaidegalleriaGUIController.class.getResource("LisaaTaiteilijaGUIView.fxml"), "Taiteilija", null, "");
    }


    /**
     * Aukaisee valikon jossa voi lisätä uuden teoksen.
     * Vielä ei ole muuta toiminnallisuutta.
     */
    @FXML private void handleUusiTeos() {
        ModalController.showModal(TaidegalleriaGUIController.class.getResource("LisaaTeosGUIView.fxml"), "Taiteilija", null, "");
    }


    @FXML private void handlePoistaTaiteilija() {
        Dialogs.showMessageDialog("Vielä ei osata poistaa taiteilijaa");
    }


    @FXML private void handleTietoja() {
        Dialogs.showMessageDialog("Vielä ei osata poistaa taiteilijaa");
    }

    @FXML private void handlePoistaTeos() {
        Dialogs.showMessageDialog("Vielä ei osata poistaa teosta");
    }


    @FXML private void handleTallenna() {
        Dialogs.showMessageDialog("Ei osata vielä toteuttaa");
    }


    @FXML private void handleSulje() {
        Platform.exit();
    }


    @FXML private void handleTietokanta() {
        Dialogs.showMessageDialog("Ei osata vielä toteuttaa");
    }


    @FXML private void handleGalleria() {
        Dialogs.showMessageDialog("Ei osata vielä toteuttaa");
    }


    @FXML void keyReleasedTaiteilija(KeyEvent event) {
        Dialogs.showMessageDialog("Ei osata vielä toteuttaa");
    }


    @FXML void keyReleasedTeos(KeyEvent event) {
        Dialogs.showMessageDialog("Ei osata vielä toteuttaa");
    }


    //============================================================================


    /**
     * Kysytään tietokannan nimeä ja luetaan se.
     * @return true jos luku onnistuu, false jos ei
     */
    public boolean avaa() {
        String uusinimi = TietokannanNimiController.kysyNimi(null, "suosikit");
        if (uusinimi == null) return false;
        // lueTiedosto(uusinimi);
        return true;
    }


}